# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Moo.pm) perl(Promises.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define module_name Promises-Channel
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: a coordination channel implemented with Promises
Group: Development/Perl
License: perl
URL: https://github.com/sysread/Promises-Channel

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A `Promises::Channel' is a FIFO queue that produces the Promises::Promise manpages
which resolve to the items added to the queue.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/P*

%changelog
* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

